Bug 832216 - Allow using active_slave in BONDING_OPTS
Allow using active_slave in BONDING_OPTS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 17:46 EDT by Marcelo Ricardo Leitner
Modified: 2014-03-16 23:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:47:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcelo Ricardo Leitner 2012-06-14 17:46:35 EDT
This is a different approach to the issue described in BZ #802436, whose patch was rejected by upstream in favor of active_slave option.

active_slave option allow forcing which slave is active. It is a good way to make sure a given interface is active upon boot or network restart.

But like the primary option, active_slave can only be applied after the bonding is configured.

This patch is a follow-up on (BZ #747418 comment #14):


From bf0dc9a9d2ec356935f5cb83e2738756b707ffe5 Mon Sep 17 00:00:00 2001
From: Marcelo Ricardo Leitner <mleitner@redhat.com>
Date: Thu, 14 Jun 2012 18:43:08 -0300
Subject: [PATCH] ifup-eth: allow using active_slave bonding option

active_slave can only be applied after the bonding interface
is completely configure. With this patch, we can use this option
in BONDING_OPTS to make sure a given slave is used upon interface
startup.

The primary option is not enough when using primary_reselect=2.
---
 sysconfig/network-scripts/ifup-eth |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff --git a/sysconfig/network-scripts/ifup-eth b/sysconfig/network-scripts/ifup-eth
index 8c8b588..18118f5 100755
--- a/sysconfig/network-scripts/ifup-eth
+++ b/sysconfig/network-scripts/ifup-eth
@@ -133,7 +133,7 @@ if [ "$ISALIAS" = no ] && is_bonding_device ${DEVICE} ; then
            if ! grep -q ${value#+} /sys/class/net/${DEVICE}/bonding/$key; then
                 echo "$value" > /sys/class/net/${DEVICE}/bonding/$key
            fi
-       elif [ "${key}" != "primary" ]; then
+       elif [ "${key}" != "primary" -a "${key}" != "active_slave" ]; then
             echo $value > /sys/class/net/${DEVICE}/bonding/$key
         fi
     done
@@ -149,7 +149,7 @@ if [ "$ISALIAS" = no ] && is_bonding_device ${DEVICE} ; then
     for arg in $BONDING_OPTS ; do   
         key=${arg%%=*};
         value=${arg##*=};
-       if [ "${key}" = "primary" ]; then 
+       if [ "${key}" = "primary" -o "${key}" != "active_slave" ]; then 
             echo $value > /sys/class/net/${DEVICE}/bonding/$key
        fi
     done
-- 
1.7.7.6
Comment 1 Fedora End Of Life 2013-01-16 17:10:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 19:47:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.